%global pkgvers 0
%global scdate0 20250203
%global schash0 e3c1204adb568b7f7c217249e1b2d171d466b98f
%global branch0 master
%global source0 https://github.com/enjoy-digital/litescope.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           litex-litescope
Version:        2024.12
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        A small footprint and configurable embedded logic analyzer
License:        BSD
BuildArch:      noarch

URL:            https://github.com/enjoy-digital/litescope

BuildRequires:  git python3-devel python3-setuptools

Requires:       %{name}-python3 = %{version}-%{release}

%global _python_dist_allow_version_zero 1

%description
LiteScope provides a small footprint and configurable embedded logic
analyzer that you can use in your FPGA and aims to provide a free,
portable and flexible alternative to vendor's solutions.

%package        python3
Summary:        %{summary}
Requires:       %{name} = %{version}-%{release}
Requires:       litex-python3
Provides:       litescope

%description    python3
LiteScope provides a small footprint and configurable embedded logic
analyzer that you can use in your FPGA and aims to provide a free,
portable and flexible alternative to vendor's solutions.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%{py3_build}


%install
%{py3_install}

%files
%doc README.md
%doc doc examples
%license LICENSE
%{_bindir}/*

%files python3
%{python3_sitelib}/*


%changelog
* Thu Nov 18 2021 Cristian Balint <cristian.balint@gmail.com>
- initial release
